package com.css.simulation.resource.scheduler.controller;


import api.common.pojo.common.ResponseBodyVO;
import com.css.simulation.resource.scheduler.service.TaskService;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
public class TaskController {

    @Resource
    private TaskService taskService;

    /**
     * 修改任务状态
     */
    @PostMapping("/task/{taskId}/state/{taskState}")
    public ResponseBodyVO<String> modifyTaskState(@PathVariable("taskId") String taskId, @PathVariable("taskState") String taskState) {
        return taskService.modifyTaskState(taskId, taskState);
    }

}
